Creates a CRM data source in the SRS database or updates an existing one.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Unique CRM data source ID to fetch.
Example of a CRM data source details
{
"crmDataSourceId": "123456789",
"type": "DYNAMICS",
"purpose": "SALESMAX"
}Unique CRM data source ID. Must match the `crmDataSourceId`` path parameter. When creating, enter a meaningful ID. When updating, enter an ID of that data source.
Type of the CRM system.
Salesforce org against which to run the job.
Supported values:
- ZILLIANT—Use for ZPF and ZMX
- PRICE_CONNECT—Use for ZPL
- SALESMAX—Use for ZSX and ZSC
- IDENTITY_PROVIDER—Use for OAuth
CRM data source created or updated successfully.